/*
 * Copyright (c) 2014 Citrix Systems, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef LOGGING_H_
# define LOGGING_H_

# include <stdarg.h>
# include <stdio.h>

#ifdef printf
# undef printf
#endif
#ifdef vfprintf
# undef vfprintf
#endif
#ifdef fprintf
# undef fprintf
#endif

# define printf(...) qemu_log_printf(__VA_ARGS__)
# define vfprintf(...) qemu_log_vfprintf(__VA_ARGS__)
# define fprintf(...) qemu_log_fprintf(__VA_ARGS__)

void logging_set_prefix(const char *ident);
int qemu_log_vfprintf(FILE *stream, const char *format, va_list ap);
int qemu_log_printf(const char *format, ...)
  __attribute__ ((format (printf, 1, 2)));
int qemu_log_fprintf(FILE *stream, const char *format, ...)
  __attribute__ ((format (printf, 2, 3)));


#endif /* !LOGGING_H_ */
