/*
 * Copyright (c) 2012 Citrix Systems, Inc.
 * Copyright (C) 2015 Assured Information Security, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef XEN_CHANGEISO__H
#define XEN_CHANGEISO__H

/* OpenXT CD-ROM ISO Change
 * Xenstore mechanism for informing a guest about changes in the media
 * of a ISO backed CD-ROM drive within OpenXT
 */

#define BLKFRONT_READY_STATE "4"
#define STUBDOMID(x) (x+1)

struct IsoNode {
    BlockBackend *blk;
    char *iso_file;
    char *xen_vbd_id;
    char *frontend_state;
    bool just_started;
    bool first_watch;
    QEMUTimer *timer;
    QTAILQ_ENTRY(IsoNode) next;
};

int xenstore_register_iso_dev(const char *file, BlockBackend *blk);
int xenstore_init_iso_dev(void);

#endif
